Skip to content

Marketplace Posix Id Pools

Operations Summary

Method Endpoint Description
Core CRUD
GET /api/marketplace-posix-id-pools/ List Marketplace Posix Id Pools
GET /api/marketplace-posix-id-pools/{uuid}/ Retrieve
POST /api/marketplace-posix-id-pools/ Create
PUT /api/marketplace-posix-id-pools/{uuid}/ Update
PATCH /api/marketplace-posix-id-pools/{uuid}/ Partial Update
DELETE /api/marketplace-posix-id-pools/{uuid}/ Delete
Other Actions
GET /api/marketplace-posix-id-pools/{uuid}/stats/ Pool utilization statistics

Core CRUD

List Marketplace Posix Id Pools

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-posix-id-pools/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.posix_id_pool_field_enum import PosixIdPoolFieldEnum # (1)
from waldur_api_client.api.marketplace_posix_id_pools import marketplace_posix_id_pools_list # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_posix_id_pools_list.sync(client=client)

for item in response:
    print(item)
  1. Model Source: PosixIdPoolFieldEnum
  2. API Source: marketplace_posix_id_pools_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplacePosixIdPoolsList } from 'waldur-js-client';

try {
  const response = await marketplacePosixIdPoolsList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
customer_uuid string (uuid) Customer UUID
field array
offering_uuid string (uuid) Offering UUID
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.
service_provider_uuid string (uuid) Service provider UUID

200 -

The response body is an array of objects, where each object has the following structure:

Field Type
url string (uri)
uuid string (uuid)
created string (date-time)
description string
service_provider string (uuid)
offering string (uuid)
min_uid integer (int64)
max_uid integer (int64)
next_uid integer
min_gid integer (int64)
max_gid integer (int64)
next_gid integer
customer_uuid string (uuid)
customer_name string
scope string
uid_used integer
gid_used integer
uid_utilization number (double)
gid_utilization number (double)

Retrieve

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-posix-id-pools/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.posix_id_pool_field_enum import PosixIdPoolFieldEnum # (1)
from waldur_api_client.api.marketplace_posix_id_pools import marketplace_posix_id_pools_retrieve # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_posix_id_pools_retrieve.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. Model Source: PosixIdPoolFieldEnum
  2. API Source: marketplace_posix_id_pools_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { marketplacePosixIdPoolsRetrieve } from 'waldur-js-client';

try {
  const response = await marketplacePosixIdPoolsRetrieve({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Name Type
field array

200 -

Field Type
url string (uri)
uuid string (uuid)
created string (date-time)
description string
service_provider string (uuid)
offering string (uuid)
min_uid integer (int64)
max_uid integer (int64)
next_uid integer
min_gid integer (int64)
max_gid integer (int64)
next_gid integer
customer_uuid string (uuid)
customer_name string
scope string
uid_used integer
gid_used integer
uid_utilization number (double)
gid_utilization number (double)

Create

1
2
3
4
http \
  POST \
  https://api.example.com/api/marketplace-posix-id-pools/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.posix_id_pool_request import PosixIdPoolRequest # (1)
from waldur_api_client.api.marketplace_posix_id_pools import marketplace_posix_id_pools_create # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = PosixIdPoolRequest()
response = marketplace_posix_id_pools_create.sync(
    client=client,
    body=body_data
)

print(response)
  1. Model Source: PosixIdPoolRequest
  2. API Source: marketplace_posix_id_pools_create
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { marketplacePosixIdPoolsCreate } from 'waldur-js-client';

try {
  const response = await marketplacePosixIdPoolsCreate({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Field Type Required
description string
service_provider string (uuid)
offering string (uuid)
min_uid integer (int64)
max_uid integer (int64)
min_gid integer (int64)
max_gid integer (int64)

201 -

Field Type
url string (uri)
uuid string (uuid)
created string (date-time)
description string
service_provider string (uuid)
offering string (uuid)
min_uid integer (int64)
max_uid integer (int64)
next_uid integer
min_gid integer (int64)
max_gid integer (int64)
next_gid integer
customer_uuid string (uuid)
customer_name string
scope string
uid_used integer
gid_used integer
uid_utilization number (double)
gid_utilization number (double)

Update

1
2
3
4
http \
  PUT \
  https://api.example.com/api/marketplace-posix-id-pools/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.posix_id_pool_request import PosixIdPoolRequest # (1)
from waldur_api_client.api.marketplace_posix_id_pools import marketplace_posix_id_pools_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = PosixIdPoolRequest()
response = marketplace_posix_id_pools_update.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: PosixIdPoolRequest
  2. API Source: marketplace_posix_id_pools_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { marketplacePosixIdPoolsUpdate } from 'waldur-js-client';

try {
  const response = await marketplacePosixIdPoolsUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required
description string
service_provider string (uuid)
offering string (uuid)
min_uid integer (int64)
max_uid integer (int64)
min_gid integer (int64)
max_gid integer (int64)

200 -

Field Type
url string (uri)
uuid string (uuid)
created string (date-time)
description string
service_provider string (uuid)
offering string (uuid)
min_uid integer (int64)
max_uid integer (int64)
next_uid integer
min_gid integer (int64)
max_gid integer (int64)
next_gid integer
customer_uuid string (uuid)
customer_name string
scope string
uid_used integer
gid_used integer
uid_utilization number (double)
gid_utilization number (double)

Partial Update

1
2
3
4
http \
  PATCH \
  https://api.example.com/api/marketplace-posix-id-pools/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.patched_posix_id_pool_request import PatchedPosixIdPoolRequest # (1)
from waldur_api_client.api.marketplace_posix_id_pools import marketplace_posix_id_pools_partial_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = PatchedPosixIdPoolRequest()
response = marketplace_posix_id_pools_partial_update.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: PatchedPosixIdPoolRequest
  2. API Source: marketplace_posix_id_pools_partial_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { marketplacePosixIdPoolsPartialUpdate } from 'waldur-js-client';

try {
  const response = await marketplacePosixIdPoolsPartialUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required
description string
min_uid integer (int64)
max_uid integer (int64)
min_gid integer (int64)
max_gid integer (int64)

200 -

Field Type
url string (uri)
uuid string (uuid)
created string (date-time)
description string
service_provider string (uuid)
offering string (uuid)
min_uid integer (int64)
max_uid integer (int64)
next_uid integer
min_gid integer (int64)
max_gid integer (int64)
next_gid integer
customer_uuid string (uuid)
customer_name string
scope string
uid_used integer
gid_used integer
uid_utilization number (double)
gid_utilization number (double)

Delete

1
2
3
4
http \
  DELETE \
  https://api.example.com/api/marketplace-posix-id-pools/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_posix_id_pools import marketplace_posix_id_pools_destroy # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_posix_id_pools_destroy.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: marketplace_posix_id_pools_destroy
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { marketplacePosixIdPoolsDestroy } from 'waldur-js-client';

try {
  const response = await marketplacePosixIdPoolsDestroy({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

204 - No response body


Other Actions

Pool utilization statistics

1
2
3
4
http \
  GET \
  https://api.example.com/api/marketplace-posix-id-pools/a1b2c3d4-e5f6-7890-abcd-ef1234567890/stats/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.marketplace_posix_id_pools import marketplace_posix_id_pools_stats_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = marketplace_posix_id_pools_stats_retrieve.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: marketplace_posix_id_pools_stats_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { marketplacePosixIdPoolsStatsRetrieve } from 'waldur-js-client';

try {
  const response = await marketplacePosixIdPoolsStatsRetrieve({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

200 -

Field Type
uid any
gid any
utilization_threshold integer